package com.bonus.canteen.core.cook.service;

import java.util.List;
import com.bonus.canteen.core.cook.domain.CookRecipeDishes;

/**
 * 菜品计划菜品关联Service接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface ICookRecipeDishesService {
    /**
     * 查询菜品计划菜品关联
     * 
     * @param id 菜品计划菜品关联主键
     * @return 菜品计划菜品关联
     */
    public CookRecipeDishes selectCookRecipeDishesById(Long id);

    /**
     * 查询菜品计划菜品关联列表
     * 
     * @param cookRecipeDishes 菜品计划菜品关联
     * @return 菜品计划菜品关联集合
     */
    public List<CookRecipeDishes> selectCookRecipeDishesList(CookRecipeDishes cookRecipeDishes);

    /**
     * 新增菜品计划菜品关联
     * 
     * @param cookRecipeDishes 菜品计划菜品关联
     * @return 结果
     */
    public int insertCookRecipeDishes(CookRecipeDishes cookRecipeDishes);

    /**
     * 修改菜品计划菜品关联
     * 
     * @param cookRecipeDishes 菜品计划菜品关联
     * @return 结果
     */
    public int updateCookRecipeDishes(CookRecipeDishes cookRecipeDishes);

    /**
     * 批量删除菜品计划菜品关联
     * 
     * @param ids 需要删除的菜品计划菜品关联主键集合
     * @return 结果
     */
    public int deleteCookRecipeDishesByIds(Long[] ids);

    /**
     * 删除菜品计划菜品关联信息
     * 
     * @param id 菜品计划菜品关联主键
     * @return 结果
     */
    public int deleteCookRecipeDishesById(Long id);

    /**
     * 修改菜品计划菜品关联供应量
     *
     * @param cookRecipeDishes 菜品计划菜品关联
     * @return 结果
     */
    public int reduceMenuRecipeDishesSupplyNum(CookRecipeDishes cookRecipeDishes, Integer quantity);

    public int addMenuRecipeDishesSupplyNum(CookRecipeDishes cookRecipeDishes, Integer quantity);

}
